Bug 998508 - VM Snapshot UI with virt-manager
VM Snapshot UI with virt-manager
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
: Tracking
Depends On:
Blocks: 1021143
  Show dependency treegraph
 
Reported: 2013-08-19 09:04 EDT by Jaroslav Reznik
Modified: 2013-12-18 09:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1021143 (view as bug list)
Environment:
Last Closed: 2013-12-18 09:01:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2013-08-19 09:04:30 EDT
This is a tracking bug for Change: VM Snapshot UI with virt-manager
For more details, see: http://fedoraproject.org//wiki/Changes/Virt_Manager_Snapshots

Add UI to virt-manager for easily managing VM snapshots.
Comment 1 Cole Robinson 2013-08-27 11:57:46 EDT
Change is mostly complete in F20/Rawhide, setting to MODIFIED.
Comment 2 M. Edward (Ed) Borasky 2013-09-26 00:52:26 EDT
I've got Fedora 20 Alpha with virt-manager 0.10.0-2.git948b5359.fc20 installed. I'm looking for a button / link / menu item for managing snapshots and I don't see anything. Is this still to be implemented? If not, how do I take a snapshot in virt-manager? I'm currently doing them from the command line (on qcow2 disks) using qemu-img.
Comment 3 Cole Robinson 2013-10-01 11:16:00 EDT
(In reply to M. Edward (Ed) Borasky from comment #2)
> I've got Fedora 20 Alpha with virt-manager 0.10.0-2.git948b5359.fc20
> installed. I'm looking for a button / link / menu item for managing
> snapshots and I don't see anything. Is this still to be implemented? If not,
> how do I take a snapshot in virt-manager? I'm currently doing them from the
> command line (on qcow2 disks) using qemu-img.

It's hidden by default at the moment, behind the cli option --experimental-snapshot-ui . Upstream has all this stuff in much better shape and turned on by default, I'll be doing a new build this week. You'll see a new icon in the toolbar of the VM graphics/details window, that's how you access the UI
Comment 4 Jaroslav Reznik 2013-10-11 04:45:33 EDT
This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule
Comment 5 Jaroslav Reznik 2013-12-18 09:01:06 EST
Closing this bug as this Change was delivered in Fedora 20 release. Please, reopen in case of any issues you encounter regarding this Change completion.

Note You need to log in before you can comment on or make changes to this bug.